GameHost Help

WhiteGH.gif (14465 bytes)

Copyright 1998 Xoanan Industries. All rights reserved.
http://www.xoanan.com/gamehost

Welcome to GameHost, the must-have utility for game server administrators!

Getting Started How to quickly start hosting game servers.

ghinsticon.gif (1115 bytes) GameHost Settings An application that lets you set game paths, the admin password, and more.

GameHostIcon.gif (1062 bytes) GameHost Describes GameHost options.

ghostcon.gif (279 bytes) GameHost Console Learn how to get the most out of the GameHost Console.

Troubleshooting

How To's


Getting Started

Getting Started with GameHost

GameHost consists of three applications: GameHost, the GameHost Settings application (which both run on the computer that you want to run your game servers), and the GameHost Console (which is the client piece that interacts with GameHost).

The GameHost Console is the only way to directly interact with GameHost. The GameHost Console allows you to add and configure game servers, start and stop them, etc.

You use the GameHost Settings application to the paths to the games you want GameHost to support. This application also allows you to set the password for the 'admin' GameHost user.

GameHostIcon.gif (1062 bytes) On the machine running GameHost and your game servers:

  1. Launch the GameHost Settings application.
  2. Set the paths to the games you want GameHost to support.
  3. Set the 'admin' password.
  4. Start GameHost. (Setup does this automatically under Windows NT.)

ghostcon.gif (279 bytes) On the machine running the GameHost console (can be the same as the server):

  1. Start the GameHost Console.
  2. Insert a GameHost master into the GameHost console.
  3. Insert one or more game servers into the GameHost master.
  4. Start one or more of the game servers.

That's all there is to it! Once a game is started you should see its console appear in the upper right window of the GameHost Console.


GameHost Settings Application

ghinsticon.gif (1115 bytes) GameHost Settings Application

This application controls various settings for GameHost. This application is to be run on the computer running GameHost! It does not work remotely like the GameHost Console.

General
This tab allows you to set game paths and the 'admin' password. The GameHost Console will only allow users to add game servers for the games that have a path.

Service (Appears on Windows NT only)
This tab allows you to stop and start the service. You can also install/remove the service, although the setup/uninstall programs will take care of this.

Registration
This tab allows you to enter your registration information, including your registration number. Without this number, GameHost will terminate 30 days from the first day it runs. This tab also indicates how much time you have left in your 30 day trial period. To order your registration number visit http://www.xoanan.com/order.htm.


GameHost Server

GameHostIcon.gif (1062 bytes) GameHost

GameHost is the application that actually controls your game servers and tells them what to do. It also receives commands from the GameHost Console. When you run this application you can't do anything directly with it--you have to use the GameHost Console to interact with GameHost itself.

Starting GameHost

Windows NT
GameHost runs as an automatic service under Windows NT. This means once you install GameHost you don't have to do anything to start the GameHost service. However, if you don't want to run GameHost as a service you can launch it using the icon installed in your program group. (If you do this, you must first stop the GameHost service.)

If for some reason GameHost needs to be restarted, you can do one of the following:

  • Use the Services applet in the Control Panel.
  • Type "net start gamehost" from the Windows NT Command Prompt.
  • Use the GameHost Settings applet.

Windows 95/98
Use the GameHost icon in your GameHost program group.

Stopping GameHost

Windows NT
If you're running GameHost as a service, do one of the following:

  • Use the Services applet in the Control Panel.
  • Type "net stop gamehost" from the Windows NT Command Prompt.
  • Use the GameHost Settings applet
  • Go to your GameHost directory and type "gamehost /kill".

If you're not running GameHost as a service, following the directions for Windows 95/98.

Windows 95/98
Do one of the following:

  • Close the GameHost icon on your task tray.
  • Go to your GameHost directory and type "gamehost /kill".


GameHost Console

ghostcon.gif (279 bytes) GameHost Console

The GameHost Console is how you interact with GameHost. The GameHost Console can run either on the server computer, or any other computer that can connect to the GameHost computer using a TCP connection.

The Console Windows

Common Console Commands


GameHost Console Windows

The GameHost Console has four main windows:

GameHost Master/Game Server Tree

Console Window

Property Window

Player/Server Window

ghostcon75.gif (39727 bytes)


GameHost/Game Server Tree

treeview.gif (3618 bytes)

The GameHost/Game Server tree shows GameHost servers and game servers. GameHost masters are represented by InsertGHServer.gif (162 bytes) icons. Game servers are represented by icons associated with game types. If a game server is not running, it's grayed out (the servers named 'Hexen II' and 'Our QuakeWorld Server' above are examples of grayed out servers).

Under the 'View' menu item, you can modify how servers are displayed in the tree by selecting 'Server Addresses' and 'Server Ports'.

If you select the 'All Servers' icon, the servers will appear in the Player/Server Window.

If you select a GameHost server, the GameHost server's console will appear in the Console Window, and the GameHost master's game servers will appear in the Player/Server Window.

If you select a game server that's not currently running, the game server's startup properties are displayed in the Property Window.

If you select a game server that is currently running, the game server's current properties are displayed in the Property Window, and the players connected to the game server are displayed in the Player/Server Window.


Console Window

ConsoleView.gif (2987 bytes)

The console window represents the currently selected game server console or the currently selected GameHost master console.

Game Server Consoles

The commands a game server accepts depends on the type of game server. Game types vary widely as to what commands are accepted, what their syntax is, etc. One of GameHost's goals is to shield game server administrators from having to know the syntax of all the different game server consoles.

If you right click on the console of a running game server you will be given a list of console commands that GameHost knows for that game type. Select a command and type in the parameters as the GameHost Console prompts for them.

GameHost Master Consoles

The GameHost console allows you to see events as they happen on the GameHost master. For example, it prints a message when servers are started or stopped, when users log on or off, etc.

There are also various commands you can execute by simply typing them in:

  • clr/cls/clear
    Clears the console.
  • logons
    Shows users who are currently logged on to GameHost along with their addresses.
  • time/date
    Shows the current date and time on the computer running GameHost. This is useful so you know when events are to be executed on the server as the server uses its local time to launch events.


Property Window

PropertyView.gif (3016 bytes)

The property window represents the properties of the currently selected game server. If the server is stopped, the properties are the properties used at startup. If the server is started, the window contains the current properties of the server.

browseable.gif (136 bytes) Some game servers allow you to make properties visible to game browsers like GameSpy and QView. If you see this symbol next to a property it means the property will be available to game browsers.

readonly.gif (127 bytes) This symbol means the property is read-only and you won't be able to change it.

Modifying Properties

To change a property, double click on a property or right click and choose 'Modify Property...'. If you modify a property of a currently running server, the property is only changed while the server is still running--in other words, it doesn't affect the startup property. To change the startup property of the same name, choose 'Properties' from the toolbar or menu and go to the 'Properties' tab.


Player/Server Window

PlayerView.gif (2040 bytes)

If you select a game server that's running and has players connected to it, this window will display the server's player information. Not all servers report a ping for the players connected, so the ping column can sometimes be empty.

Most game servers support a 'Kick Player' command. Right click a player you want to kick and choose 'Kick Selected Player'.

If a GameHost server or the 'All Servers' item is selected, the Player/Server Window will display servers instead of players.


Common GameHost Console Commands

InsertGHServer.gif (162 bytes) Insert GameHost Master
Enter the IP address or name of the computer where GameHost is running. Once the GameHost Console resolves the address a GameHost Master icon will appear in your GameHost Console tree.

InsertGameServer.gif (138 bytes) Insert Game Server
When you insert a game server, the console will first prompt you for the game type the server will use. The list of games presented to you in the console depends on which games were given a path in the GameHost Settings application.

After you choose the game type you will be able to set the game server startup properties. Once you finish with the startup properties, the game server will appear in the console tree underneath the GameHost server.

startserver.gif (110 bytes) Start Game Server
This command starts a game server that hasn't been started yet.

stopserver.gif (110 bytes) Stop Game Server
This command stops a game server that is currently running.

properties.gif (151 bytes) Properties
Depending on what you have selected in the console, this will bring up the GameHost Master Properties or the Game Server Startup Properties.

scheduler.gif (171 bytes) Scheduler
This command brings up the GameHost Scheduler for the currently selected GameHost master.


GameHost Master Properties

properties.gif (151 bytes) GameHost Master Properties

Depending on which rights your GameHost user has, you will either not even be able to bring up this dialog, or you will see from one to three tabs: Diagnostics, System, and GameHost Users.


GameHost Master Properties: Diagnostics

properties.gif (151 bytes) GameHost Master Properties: Diagnostics

This dialog shows diagnostics of the computer running GameHost, such as CPU and memory usage.

If you don't want the dialog to refresh automatically, click the 'Refresh' button so the check goes away. You can also change how often this dialog refreshes by entering a number in the 'seconds' box. Additionally you can choose the 'Refresh Now' button to get the latest diagnostic information from the GameHost server.


GameHost Master Properties: System

properties.gif (151 bytes) GameHost Master Properties: System

This dialog shows system information of the GameHost computer.

This system information includes CPU and operating system descriptions, physical memory size, etc.


GameHost Master Properties: Users

properties.gif (151 bytes) GameHost Master Properties: Users

This dialog allows you to add, modify, and delete GameHost users. When you add or modify a user you can modify the user's attributes. A user's attributes determines what rights the user has when accessing the GameHost master.

Username
This is the name used to logon to GameHost.

Password
This is the password used to logon to GameHost.

Confirm Password
This has to match the password in order to apply changes to the user.

User is an administrator
If a user is an administrator, the user has all rights and can access all games.

Access all games
If checked, the user can access all games.

Only access games
If checked, the user can only access the game servers using the addresses found in the box under the 'Only access games' button. You can modify this list by choosing 'New...' or 'Delete'. This list is limited to a maximum of 10 addresses.

Access all games
If checked, the user can access all games.

User rights
This list contains the various rights a user can be granted:

  • Add/Modify game servers
    Enables a user to add new game servers (as long as the address is found in the user's address list). This also enables the user to modify a game's startup parameters.
  • Delete game servers
    Enables a user to delete game servers (as long as the address is found in the user's address list).
  • Modify GameHost users
    Enables a user to modify user attributes. WARNING: Users who have this right can make themselves administrators!
  • Read game console
    Enables a user to view game consoles.
  • Schedule games
    Enables a user to access the GameHost scheduler.
  • Send console commands
    Enables a user to set current properties, execute commands, and type into the game console.
  • Server diagnostics
    Enables a user to access the GameHost server diagnostics.
  • Server information
    Enables a user to access the GameHost server system information.
  • Start games
    Enables a user to start game servers.
  • Stop games
    Enables a user to stop game servers.


Game Server Startup Properties

properties.gif (151 bytes) Game Server Startup Properties

This dialog box only affects the startup properties of a game server. This DOES NOT affect the current properties of a server that is running. This means any properties you change in this dialog won't take effect until the next time the server is started.

To change the current properties of a server, see Modifying Properties in the Properties Window.

This dialog is separated into three tabs: General, Properties, and GameHost.


Game Server Startup Properties: General

properties.gif (151 bytes) Game Server Startup Properties: General

Game Type
Indicates what type of game this game server is using. This can only be set when the game server is first inserted.

Address
Indicates the address the game server will use when launched. This can only be set when the game server is first inserted.

Name
This is the name of the game server that players will see with game browsers.

Game Directory
Some games allow for using custom modifications like CTF and Team Fortress. This control contains the directories underneath the main game directory on the GameHost server machine. If you don't want to use a custom modification don't change the default value in this control.

Initial Map
This is the level the game server will first use when the server starts.

Maximum Players
This is the maximum number of players who can play on the game server at the same time.

Time Limit
When the server has been running on the same level for this many minutes, it will switch to the next level. If this number is 0, the server will not use a time limit.

Score Limit
(Some games refer to this as the Frag Limit)
When a player reaches this score the server will switch to the next level. If this number is 0, the server will not use a score limit.


Game Server Startup Properties: Properties

properties.gif (151 bytes) Game Server Startup Properties: Properties

By default this dialog is filled with properties that apply to the type of game the game server is using. The names of these properties are names that are readable versions of the internal names the game server understands. For example, you might see a property named 'Maxium Players'. Internally, the game server might know this property as 'maxclients' or 'maxplayers' or even as a command-line parameter. GameHost relieves you from having to know the various command-line parameters or internal property names.

When you click on a property, the GameHost console will display the description of the property if one exists.

browseable.gif (136 bytes) Some game servers allow you to make properties visible to game browsers like GameSpy and QView. If you see this symbol next to a property it means the property will be available to game browsers.

The variable 'Extra Parameters' can be used to pass additional command-line parameters to the game server. For example, if you want to execute your own configuration file when the server is launched, set the parameter to "+exec myfile.cfg".

Adding Properties
To add a property, click 'Add...'. If the game type allows to change the visiblity of a property, the 'Make visible to server browsers' box will be enabled.

When you enter the property name, the GameHost console will attempt to translate the name and value you enter. If the GameHost console isn't able to translate the name of the property it will not modify the name of the property or value when it sends them to the GameHost server.

Modifying Properties
To modify a property, double click the property or choose 'Modify...'. You can't change the name of a property, but you can change its value and possibly its visibility to game browsers.

Deleting Properties
To delete a property, choose 'Delete'.


Game Server Startup Properties: GameHost

properties.gif (151 bytes) Game Server Startup Properties: GameHost

This dialog controls how GameHost starts the game server process on the server.

Auto-start at GameHost startup
If this box is checked, GameHost will start the game server when GameHost first begins. If you're running GameHost on Windows NT as an automatic service (this is how setup installs GameHost on Windows NT), this means the game server will get started when Windows NT first boots.

Process priority
This determines the process priority the game server will use. WARNING: If you choose High or Real-time, other processes on the server may be sluggish or even unresponsive when the game server is under a heavy load.

Run on CPU
If the machine running GameHost has more than one CPU, you can indicate which CPU the game server should run on. This allows you to load balance your game servers as needed.


GameHost Scheduler

properties.gif (151 bytes) GameHost Scheduler

The scheduler allows you to schedule the GameHost server to execute custom events, such as starting/stopping servers at a certain time of the day.

When you first open the scheduler, you'll see a list of times on the left and a calendar on the left. You view the events for the day selected in the calendar by looking at the list of times. You browse between months and years using the controls found on the calendar. A day with one or more events appears bold on the calendar.

New...
Adds a new event by displaying the Event Properties dialog.

Modify...
Modifies an existing event by displaying the Event Properties dialog.

Delete
Deletes an existing event.

Do Now
This causes the GameHost server to execute the event immediately, even if the event is expired or the event's time hasn't happened yet.


Event Properties

properties.gif (151 bytes) Event Properties

This dialog allows you to enter a scheduled events properties.

Description
This is the name of the event as displayed in the main scheduler dialog.

Start at
The date and time when the event will get executed on the GameHost server.

Recurrence
Indicates how often the event should repeat. When you choose 'Modify...' you can edit the event's start date and time, edit its recurrence pattern (such as executing the event every weekday or once a week), and indicate when the event should quit repeating.

Do Now
This causes the GameHost master to execute the event immediately, even if the event is expired or the event's time hasn't happened yet.

Commands
This control determines which command will be added when you choose 'Add...'.

Add...
When you choose 'Add...', an 'Add command' dialog is displayed that makes it easier to add commands to the event. In this dialog you can select which severs the event will operate on and the parameters for the above commands.

Command Window
This window displays the commands the associated with the event. You can either type these in directly, or you can use the Commands/Add... buttons to add them.

Each command uses as its first parameter a comma-separated list of game server addresses that the command applies to. Each item in the list can either be a port (e.g. 26000) or an IP address and a port (e.g. 192.168.1.1:26000). If only the port is listed, GameHost will use the first IP address it finds on the server.

The scheduler recognizes the following commands:

  • Set Property
    Sets a current property on a game server. This does not affect the startup properties.

    Parameter 1: Server address(es)
    Parameter 2: Property name (internal name)
    Parameter 3: Value (internal value)
    Example: SetProperty("192.168.1.1:26000", "hostname", "Neato")

  • Start
    Starts a game server.

    Parameter 1: Server address(es)
    Example: Start("192.168.1.1:26000, 192.168.1.5:27000")

  • Stop
    Stops a game server.

    Parameter 1: Server address(es)
    Example: Start("26000, 192.168.1.5:27000")

  • Write console
    Writes text to the running game server console. If the game server isn't running this command has no effect.

    Parameter 1: Server address(es)
    Parameter 2: Console text
    Example: SetProperty("(All servers)", "say \"Hi everybody.\"")


Troubleshooting

A game server fails to start

  • Some servers will not yet work with a GameHost server running on Windows 95/98.
  • Make sure you set the path to the game correctly on the server using the GameHost Server Settings application.
  • If you're running Windows NT, make sure of the following:
    • The path to the game cannot be on a network drive. This is a limitation of Windows NT services.
    • The path to the game allows rights to administrators.
  • If you're not logged in to GameHost as 'admin', make sure you have rights to start game servers.

A scheduled event didn't occur when you thought it would

The GameHost server uses its own local time to determine when to launch game servers. Use the 'time' command at the GameHost console to see the local time on the GameHost server.

Unable to logon to GameHost server

  • Make sure you set the admin password correctly using the GameHost Server Settings application.
  • If there is a firewall between the GameHost server and console, the firewall operator might need to do something to allow GameHost to work. The server uses TCP port 27777. By default the console uses a random port assigned by the operating system. By choosing 'Tools | General Options...' from the menu, you can set the port that the GameHost Console uses.


How To's

How To:

Set the paths to the games for GameHost

Start GameHost

Stop GameHost

Add a GameHost user

Restrict GameHost users' rights

Schedule the starting of game servers

Kick obnoxious players